Bug 11786 - idmap_hash cannot be used with other idmap plugins simultaneously
idmap_hash cannot be used with other idmap plugins simultaneously
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.4.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 11:12 UTC by Guenther Deschner
Modified: 2016-04-20 07:22 UTC (History)
2 users (show)

See Also:


Attachments
patch from master for v4-4-test (9.81 KB, patch)
2016-03-23 18:39 UTC, Guenther Deschner
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2016-03-11 11:12:26 UTC
Currently the idmap hash module will assign SIDs for *every* domain, even those that have a specific idmap configuration.
Comment 1 Guenther Deschner 2016-03-23 18:39:37 UTC
Created attachment 11934 [details]
patch from master for v4-4-test
Comment 2 Michael Adam 2016-03-23 19:25:50 UTC
Comment on attachment 11934 [details]
patch from master for v4-4-test

ACK.
Thanks for also taking VL's uninit fix!
Comment 3 Michael Adam 2016-03-23 19:26:13 UTC
==> TO Karo for inclusion in 4.4.1. Thanks!
Comment 4 Karolin Seeger 2016-04-18 10:48:13 UTC
Pushed to autobuild-v4-4-test.
Comment 5 Karolin Seeger 2016-04-20 07:22:11 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-4-test.
Closing out bug report.

Thanks!